<?php

declare(strict_types=1);

namespace App\Filament\Components\Table;

use Filament\Tables\Columns\TextColumn;

class SourceTextColumn extends TextColumn
{
    public static function create(): static
    {
        return parent::make('source.name')
            ->translateLabel()
            ->sortable()
            ->searchable()
            ->toggleable()
            ->toggledHiddenByDefault();
    }
}
